summaryrefslogtreecommitdiffstats
path: root/madwifi
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-02-23 17:53:22 +0000
committer Eric Hameleers <alien@slackware.com>2008-02-23 17:53:22 +0000
commit9a4bceebde765d04b6d0124ad9da8a5cf60f3a9b (patch)
tree2dd95c8ecb89af4bae595918aa9f83d128dcbb26 /madwifi
parenta4d8ae29371a64ad2dad16f0c14d6b048452ff0d (diff)
downloadasb-9a4bceebde765d04b6d0124ad9da8a5cf60f3a9b.tar.gz
asb-9a4bceebde765d04b6d0124ad9da8a5cf60f3a9b.tar.xz
Update to 0.9.3.3
Diffstat (limited to 'madwifi')
-rwxr-xr-xmadwifi/build/madwifi.SlackBuild14
1 files changed, 8 insertions, 6 deletions
diff --git a/madwifi/build/madwifi.SlackBuild b/madwifi/build/madwifi.SlackBuild
index 22ae8356..edee988d 100755
--- a/madwifi/build/madwifi.SlackBuild
+++ b/madwifi/build/madwifi.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2006 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2006-2008 Eric Hameleers <alien@slackware.com>
#
# Permission to use, copy, modify, and distribute this software for
# any purpose with or without fee is hereby granted, provided that
@@ -66,14 +66,16 @@
# * Well that was a quick one. The 2.6.23 kernel is supported now,
# and a fix for vulnerability CVE-2007-5448 is provided.
# Everyone is urged to upgrade to this version.
+# 0.9.4.1: 23/feb/2008 by Eric Hameleers <alien@slackware.com>
+# * Upgrade.
# -----------------------------------------------------------------------------
# Change SNAPSHOT from "" to "yes" below if you're building a snapshot release.
SNAPSHOT=${SNAPSHOT:-""}
PRGNAM=madwifi
-SRCVER="0.9.3.3"
-VERSION=${VERSION:-0.9.3.3} # Note: for snapshot builds,
+SRCVER="0.9.4"
+VERSION=${VERSION:-0.9.4} # Note: for snapshot builds,
# the VERSION value changes further down;
BUILD=1
@@ -94,7 +96,7 @@ OUTPUT=${OUTPUT:-/tmp}
if [ -z $SNAPSHOT ]; then # build a stable release
SOURCE="$SRCDIR/${PRGNAM}-${SRCVER}.tar.gz"
- SRCURL="http://dl.sourceforge.net/sourceforge/${PRGNAM}/${PRGNAM}-${SRCVER}.tar.gz"
+ SRCURL="http://downloads.sourceforge.net/${PRGNAM}/${PRGNAM}-${SRCVER}.tar.gz"
else
SOURCE="$SRCDIR/${PRGNAM}-ng-current.tar.gz"
SRCURL="http://snapshots.madwifi.org/${PRGNAM}-ng-current.tar.gz"
@@ -155,8 +157,8 @@ if [ -z $SNAPSHOT ]; then # download stable release
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
echo "Source '`basename ${SOURCE}`' not available yet..."
echo "Will download file to `dirname $SOURCE`"
- wget --connect-timeout=20 -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 ! -s "${SOURCE}" ]; then
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1